Subject: Re: [PATCH] guix install: Add '--manifest' option.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 21 Jul 2022 11:09:54 +0200

Hi,

Liliana Marie Prikler <[email-masked]> skribis:

> Am Sonntag, dem 17.07.2022 um 12:20 +0200 schrieb Ludovic Courtès:
>> * guix/scripts/install.scm (show-help, %options): Add "--manifest".
>> * tests/guix-package-aliases.sh" Test "guix install -m".
>> ---
>>  guix/scripts/install.scm      |  8 ++++++--
>>  tests/guix-package-aliases.sh | 16 +++++++++++++---
>>  2 files changed, 19 insertions(+), 5 deletions(-)
>> 
>> Hi!
>> 
>> I think it’s convenient and quite natural to be able to type:
>> 
>>   guix install -m manifest.scm
>> 
>> Hence this patch.  Objections?  :-)
> I think the semantics of `guix install -m' are somewhat unclear.  It
> can mean both "add all of manifest to what I already have installed"
> and "use manifest exactly as the manifest".  The latter is equivalent
> to `guix package -m' (which has clearer semantics here) and also the
> implementation chosen IIUC.  Personally, I don't think I'd want
> "install" to remove packages.

Right.  To me, ‘-m’ is always declarative: you get what the manifest
prescribes, nothing else; this is how it’s currently documented.

Do you think it could be interpreted as “add all of manifest to what I
already have installed”?

Ludo’.